using System.Reflection;
using Giovanni.Core;
using System.Diagnostics;
using OpenTK.Graphics;

namespace Giovanni.Effects {
    /// <summary>
    /// The EffectTemplate1 class
    /// </summary>
    public class EffectTemplate1 : Effect {
        [Parameter(Description = "internal timer")]
        public float timer;
        [Parameter(Description = "texture object")]
        public Texture texture;

        /// <summary>
        /// Constructor
        /// </summary>
        public EffectTemplate1() {
        }

        /// <summary>
        /// Initialisation of the effect
        /// </summary>
        public void Initialize() {
        }

        /// <summary>
        /// Deinitialisation of the effect
        /// </summary>
        public void Deinitialize() {
        }

        /// <summary>
        /// The effect's drawroutine
        /// </summary>
        public override object Draw() {
            GL.PushMatrix();
            // TODO: Draw effect here
            GL.PopMatrix();
            return null;
        }
    }
}
